Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update support ticket assignees

PUT/workspaces/{organizationId}/support/tickets/{ticketId}/assignees
Path parameters
organizationIdstringrequired
ticketIdstringrequired
Request body
application/json
assigneesobject[]required
Show properties
Array of object
Any of:
object
userIdstringrequired
teamIdstring
isPrimaryboolean
default: false
object
userIdstring
teamIdstringrequired
isPrimaryboolean
default: false
Responses
200Ticket assignees updated
ticketobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
customerIdstringrequired
numberintegerrequired
externalIdstring | nullrequired
externalSourcestringrequired
titlestringrequired
statusstringrequired
Allowed:tododonesnoozed
prioritystringrequired
Allowed:lowmediumhighurgent
sourceChannelstringrequired
Allowed:emailslackmsteamsdiscordchatcaptureapiintercomzendeskplainlinear
issueIdstring | nullrequired
snoozedUntilstring | nullrequired
lastCustomerMessageAtstring | nullrequired
lastAgentMessageAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
customerobjectrequired
Show properties
idstringrequired
emailstringrequired
fullNamestring | nullrequired
phonestring | nullrequired
companiesobject[]required
Show properties
Array of object
idstringrequired
namestringrequired
isPrimarybooleanrequired
identitiesobject[]required
Show properties
Array of object
idstringrequired
typestringrequired
Allowed:emailphoneslackmsteamsdiscordwhatsappchatapisocialcustom
valuestringrequired
subTypestring | nullrequired
isPrimarybooleanrequired
labelsobject[]required
Show properties
Array of object
idstringrequired
labelIdstringrequired
namestringrequired
colorstring | nullrequired
assigneesobject[]required
Show properties
Array of object
idstringrequired
typestringrequired
Allowed:userteam
assigneeIdstringrequired
namestring | nullrequired
isPrimarybooleanrequired
eventsobject[]required
Show properties
Array of object
idstringrequired
ticketIdstringrequired
typestringrequired
subTypestring | nullrequired
actorTypestringrequired
actorIdstring | nullrequired
metadatastring | nullrequired
externalIdstring | nullrequired
createdAtstringrequired
messageobject
Show properties
idstringrequired
eventIdstringrequired
directionstringrequired
Allowed:inboundoutbound
textContentstringrequired
markdownContentstring | nullrequired
channelstringrequired
Allowed:emailslackmsteamsdiscordchatcaptureapiintercomzendeskplainlinear
customerIdstring | nullrequired
userIdstring | nullrequired
noteobject
Show properties
idstringrequired
eventIdstringrequired
bodystringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PUT "/workspaces/string/support/tickets/string/assignees" \
  -H "Content-Type: application/json" \
  -d '{
  "assignees": [
    {
      "userId": "string",
      "teamId": "string",
      "isPrimary": false
    }
  ]
}'
Response
{
  "ticket": {
    "id": "string",
    "organizationId": "string",
    "customerId": "string",
    "number": 0,
    "externalId": "string",
    "externalSource": "string",
    "title": "string",
    "status": "todo",
    "priority": "low",
    "sourceChannel": "email",
    "issueId": "string",
    "snoozedUntil": "string",
    "lastCustomerMessageAt": "string",
    "lastAgentMessageAt": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "customer": {
      "id": "string",
      "email": "string",
      "fullName": "string",
      "phone": "string"
    },
    "companies": [
      {
        "id": "string",
        "name": "string",
        "isPrimary": true
      }
    ],
    "identities": [
      {
        "id": "string",
        "type": "email",
        "value": "string",
        "subType": "string",
        "isPrimary": true
      }
    ],
    "labels": [
      {
        "id": "string",
        "labelId": "string",
        "name": "string",
        "color": "string"
      }
    ],
    "assignees": [
      {
        "id": "string",
        "type": "user",
        "assigneeId": "string",
        "name": "string",
        "isPrimary": true
      }
    ],
    "events": [
      {
        "id": "string",
        "ticketId": "string",
        "type": "string",
        "subType": "string",
        "actorType": "string",
        "actorId": "string",
        "metadata": "string",
        "externalId": "string",
        "createdAt": "string",
        "message": {
          "id": "string",
          "eventId": "string",
          "direction": "inbound",
          "textContent": "string",
          "markdownContent": "string",
          "channel": "email",
          "customerId": "string",
          "userId": "string"
        },
        "note": {
          "id": "string",
          "eventId": "string",
          "body": "string"
        }
      }
    ]
  }
}